Page MenuHomePhabricator

statecheck: added support for cmdutil.afterresolvedstates
ClosedPublic

Authored by taapas1128 on Jun 20 2019, 2:12 AM.

Details

Summary

This removes afterresolvedstates from cmdutil and adds
support for it in _statecheck class.

A new flag continueflag is added to the class to check whether an
operation supports --continue option or not.

Tests remain unchanged.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

taapas1128 created this revision.Jun 20 2019, 2:12 AM
taapas1128 retitled this revision from state: moved cmdutil.afterresolvedstates to statemod to statecheck: added support for cmdutil.afterresolvedstates.Jun 24 2019, 5:38 AM
taapas1128 edited the summary of this revision. (Show Details)
taapas1128 updated this revision to Diff 15644.
taapas1128 updated this revision to Diff 15645.Jun 24 2019, 5:43 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.
martinvonz added inline comments.Jun 27 2019, 1:02 PM
mercurial/state.py
135

I'll move this up two lines in flight so it's consistent with the order above

martinvonz added inline comments.Jun 27 2019, 1:03 PM
mercurial/state.py
135

Oh, it still won't be consistent... Can you send a follow-up to reorder these assignments to be consistent?

taapas1128 added inline comments.Jun 27 2019, 3:39 PM
mercurial/state.py
135

sure.

taapas1128 added inline comments.Jun 27 2019, 5:49 PM
mercurial/state.py
135

resolved in D6583

av6 added a subscriber: av6.Jul 2 2019, 9:34 PM
av6 added inline comments.
mercurial/cmdutil.py
3303

Now that afterresolvedstates has been removed, you need to update this docstring.

3322

Here too.